ScXMLExecutableElt(3)

NAME
ScXMLExecutableElt - base class for all SCXML elements with executable content.

SYNOPSIS

#include <Inventor/scxml/ScXMLExecutableElt.h>

Inherits ScXMLElt.

Inherited by ScXMLAssignElt, ScXMLElseElt, ScXMLElseIfElt, ScXMLEventElt, ScXMLIfElt, ScXMLInvokeElt, ScXMLLogElt, ScXMLScriptElt, ScXMLSendElt, and ScXMLValidateElt.

  Public Member Functions
virtual SoType getTypeId (void) const =0
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.
virtual void copyContents (const ScXMLElt *rhs)
virtual void execute (ScXMLStateMachine *statemachine) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
static void cleanClass (void)

  Additional Inherited Members

Detailed Description

base class for all SCXML elements with executable content.

Member Function Documentation

  virtual SoType ScXMLExecutableElt::getTypeId (void) const [pure virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

See also
    SoBase::getTypeId() const

Implements ScXMLElt.

Implemented in ScXMLAssignElt, ScXMLElseElt, ScXMLElseIfElt, ScXMLEventElt, ScXMLIfElt, ScXMLInvokeElt, ScXMLLogElt, ScXMLScriptElt, ScXMLSendElt, and ScXMLValidateElt.

  void ScXMLExecutableElt::copyContents (const ScXMLElt * rhs) [virtual]

Reimplemented from ScXMLElt.

Author

Generated automatically by Doxygen for Coin from the source code.